
class Pattern :

	def __init__(self) :
		pass

class DfaPattern( Pattern ) :

	"""
	Class planned to implement sub-pattern analysis based on the approaches from these papers: 

	Analysis of pattern overlaps and exact computation of P-values of pattern occurrences numbers: case of Hidden Markov Models." Régnier (2014)

	Probabilistic Arithmetic Automata and
	their Applications∗, Marschall (2024)
	"""

	def __init__(self) :
		pass